%global apiversion 0.10

Summary: A library for import of WordPerfect documents
Name: libwpd
Version: 0.10.3
Release: 4%{?dist}
License: LGPL-2.1-or-later OR MPL-2.0
URL: http://libwpd.sf.net/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch3000: %{name}-gcc11.patch

BuildRequires: make
BuildRequires: gcc-c++ boost-devel
BuildRequires: doxygen help2man
BuildRequires: pkgconfig(librevenge-0.0) pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0) pkgconfig(zlib)

%description
This package provides a library for import of WordPerfect documents.

%package tools
Summary: Tools to transform WordPerfect documents into other formats
Requires: %{name} = %{version}-%{release}

%description tools
This package provides tools to transform WordPerfect documents into other formats, such as:
HTML, raw, text.

%package devel
Requires: %{name} = %{version}-%{release}
Summary: Files for developing with libwpd

%description devel
This package includes and definitions for developing with libwpd.

%package doc
Summary: Documentation of %{name} API
BuildArch: noarch

%description doc
This package contains API documentation for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_docdir}/%{name}

export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wpd2html wpd2raw wpd2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 wpd2*.1 %{buildroot}/%{_mandir}/man1

%files
%license COPYING.LGPL COPYING.MPL
%doc CREDITS NEWS README
%{_libdir}/%{name}-%{apiversion}.so.*

%files tools
%{_bindir}/wpd2html
%{_bindir}/wpd2raw
%{_bindir}/wpd2text
%{_mandir}/man1/wpd2html.1*
%{_mandir}/man1/wpd2raw.1*
%{_mandir}/man1/wpd2text.1*

%files devel
%doc HACKING TODO
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc
%{_includedir}/%{name}-%{apiversion}

%files doc
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html
%doc docs/%{name}.dia
%doc docs/%{name}.png

%changelog
* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 0.10.3-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Wang Guodong <gordonwwang@tencent.com> - 0.10.3-1
- package init.
